package com.icomsys.main_vm.db.jpa.repo.system.dsl;

import com.icomsys.main_vm.biz.common.login.res.OprmngCodeRes;
import com.icomsys.main_vm.biz.common.login.res.UserVo;
import com.icomsys.main_vm.biz.common.system.vo.SystemServiceGroupReq;
import com.icomsys.main_vm.biz.common.system.vo.SystemServiceGroupRes;
import com.icomsys.main_vm.biz.common.system.vo.SystemServiceGroupViewVo;
import com.querydsl.core.QueryResults;

import java.util.List;

public interface TbServiceGrouopRepoDsl {
    QueryResults<SystemServiceGroupRes> ServiceGroupList(SystemServiceGroupReq dto);
    List<OprmngCodeRes> getOprmngCode(UserVo dto, String serviceType, String menuval);
    List<OprmngCodeRes> getMainOprmngCode(UserVo dto);
    List<SystemServiceGroupViewVo> getServiceGroupView(String serviceGroup);
    List<OprmngCodeRes> getOprmngCodeAdmin(UserVo dto, String serviceType);
}
